Bug 609193 - Review Request: python-dirq - Directory based queue
Review Request: python-dirq - Directory based queue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 11:55 EDT by Steve Traylen
Modified: 2010-08-13 17:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-dirq-0.0.5-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 13:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-06-29 11:55:38 EDT
Spec URL: http://cern.ch/straylen/rpms/dirq/python-dirq.spec
SRPM URL: http://cern.ch/straylen/rpms/dirq/python-dirq-0.0.5-2.fc13.src.rpm
Description:
The goal of this module is to offer a simple queue system using the 
underlying file system for storage, security and to prevent race 
conditions via atomic operations.  It focuses on simplicity, 
robustness and the ability to scale.

The python module dirq is compatible with the perl 
module Directory::Queue.
Comment 1 Mattias Ellert 2010-07-10 00:52:55 EDT
The specfile is broken.

Commenting out a line with # does not prevent macro expansion on that line. So the %globals that are commented out are still in effect, and the python3 package gets built anyway.

In addition, the conditionals (%if) are not in effect since they are commented out, so rpm tries to build the python3 package also on Fedora 12.

If I change #%global to #%%global the spec works as expected.
Comment 2 Mattias Ellert 2010-07-12 07:10:00 EDT
Fedora Review python-dirq 2010-07-12

rpmlint output:

$ rpmlint ~/rpmbuild/RPMS/noarch/python-dirq-0.0.5-2.fc12.noarch.rpm ~/rpmbuild/SRPMS/python-dirq-0.0.5-2.fc12.src.rpm 
python-dirq.noarch: W: spelling-error %description -l en_US perl -> Perl, peel, perk
python-dirq.src: W: spelling-error %description -l en_US perl -> Perl, peel, perk
python-dirq.src:15: W: macro-in-comment %if
python-dirq.src:17: W: macro-in-comment %{_bindir}
python-dirq.src:18: W: macro-in-comment %endif

Maybe write Perl with a capital P in the description?

The original spec file has two more warnings:

srpm/python-dirq.spec:16: W: macro-in-comment %global
srpm/python-dirq.spec:17: W: macro-in-comment %global

I had to change % to %% here in order for the package to build, making
the same change for the other macro-in-comment warnings will remove
them too.


+ Package named according to guidelines
+ Specfile named as the package
+ Package license (ASL 2.0) is a Fedora approved license
+ Package license matches the actual license of the package sources
+ Source does not contain a dedicated license file - however, the README file
  states the license and is included as %doc
+ Specfile is written in legible English
+ Source match upstream:

$ md5sum dirq-0.0.5.tar.gz srpm/dirq-0.0.5.tar.gz 
fdcf5c940d4c6c91c7b835194fae1f06  dirq-0.0.5.tar.gz
fdcf5c940d4c6c91c7b835194fae1f06  srpm/dirq-0.0.5.tar.gz

+ Package compiles (F12, F13, EL5)

? BuildRequires are sane - but some of them are hidden inside the
  %{altpython}-dirq package description, which is a bit confusing

+ no locales
+ no shared libraries
+ no bundled libraries

+ Package owns the directories it creates
+ No duplicate files
+ Permissions are sane and %files has %defattr(...)

? Specfile mostly uses macros consistently. It uses /usr/bin instead
  of %{_bindir} in the sed replacement that removes /usr/bin/env though.
  Why is this replacement done only for python3, and not for all?
  And you do pack the original examples and test files also for the
  %altpython package - intentional?

+ Package contains code
+ %doc is not runtime essential

+ ho headers
+ no static libraries

+ Package does not own others directories
+ installed files are UTF8
Comment 3 Steve Traylen 2010-07-21 16:53:28 EDT
All comments accepted and implemented.


Spec URL: http://cern.ch/straylen/rpms/dirq/python-dirq.spec
SRPM URL: http://cern.ch/straylen/rpms/dirq/python-dirq-0.0.5-3.fc13.src.rpm
Comment 4 Mattias Ellert 2010-07-22 05:19:18 EDT
Package approved.
Comment 5 Steve Traylen 2010-07-22 05:24:57 EDT
New Package CVS Request
=======================
Package Name: python-dirq
Short Description: Directory based queue
Owners: stevetraylen
Branches: F-12 F-13 EL-4 EL-5 EL-6
InitialCC:
Comment 6 Kevin Fenzi 2010-07-23 17:38:37 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-07-24 03:39:38 EDT
python-dirq-0.0.5-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.fc12
Comment 8 Fedora Update System 2010-07-24 03:39:43 EDT
python-dirq-0.0.5-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.fc13
Comment 9 Fedora Update System 2010-07-24 03:39:48 EDT
python-dirq-0.0.5-3.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.el5.1
Comment 10 Fedora Update System 2010-07-26 22:27:34 EDT
python-dirq-0.0.5-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-dirq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.fc12
Comment 11 Fedora Update System 2010-07-26 22:49:19 EDT
python-dirq-0.0.5-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-dirq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.fc13
Comment 12 Fedora Update System 2010-07-29 21:03:54 EDT
python-dirq-0.0.5-3.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-dirq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-dirq-0.0.5-3.el5.1
Comment 13 Fedora Update System 2010-08-12 13:54:37 EDT
python-dirq-0.0.5-3.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-13 17:17:47 EDT
python-dirq-0.0.5-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-13 17:31:30 EDT
python-dirq-0.0.5-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.